"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var funcs_1 = require("./funcs");
function createTestServer(delayMs, data) {
    var counter = 50;
    return {
        findByKey: function (id) {
            return new Promise(function (resolve, reject) {
                return setTimeout(function () {
                    return resolve(data.filter(function (v) { return v.id == id; })[0]);
                }, delayMs);
            });
        },
        autoComplete: function (q) {
            return new Promise(function (resolve, reject) {
                return setTimeout(function () {
                    return resolve(funcs_1.runQuery(data, q, function (o) { return funcs_1.hasKeywords(o, q.input.text); }));
                }, delayMs);
            });
        },
        update: function () { return Promise.reject({}); },
        delete: function () { return Promise.reject({}); }
    };
}
exports.default = createTestServer;
