"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var hasKeywords = function (o, keywords) {
    for (var key in o) {
        if ((o[key] || "").toString().indexOf(keywords || "") != -1) {
            return true;
        }
    }
    return false;
};
exports.hasKeywords = hasKeywords;
function compare(a, b) {
    if (a > b)
        return 1;
    if (a < b)
        return -1;
    return 0;
}
var runQuery = function (data, q, filter) {
    var offset = q.pageSize * q.pageIndex;
    var results = data
        .filter(filter)
        .sort(function (a, b) { return q.sortBy
        ? (q.sortByDescending ? -1 : 1) * compare(a[q.sortBy], b[q.sortBy])
        : 0; });
    var total = results.length;
    var matches = results.filter(function (_, idx) { return idx >= offset && idx < (offset + q.pageSize); });
    return { matches: matches, total: total };
};
exports.runQuery = runQuery;
