﻿import { DataSpecs } from "../index";
import { Contact } from "../storeSample/domainModels";
import {ContactsAutoComplete } from "../storeSample/queryModels";



export type ContactAutoCompleteApi =
    (q: DataSpecs<ContactsAutoComplete>) =>
        Promise<{ total: number, matches: Contact[] }>;
export type GetContact = () => Promise<{ total: number, matches: Contact[] }>;

type FindContactByKeyApi = (id: string) => Promise<Contact>
type UpdateContactApi = (updates: Partial<Contact>) => Promise<{}>
type DeleteContactApi = (id: string) => Promise<{}>

// all

export type ApiCatalog = {
    contacts: ContactsApi,
   
}

export interface ContactsApi {
    autoComplete: ContactAutoCompleteApi
    findByKey: FindContactByKeyApi
    update: UpdateContactApi
    delete: DeleteContactApi
}
