﻿import { ContactsApi } from "../apiModels";
import { Contact } from "../../storeSample/domainModels";
import { hasKeywords, runQuery } from "./funcs";

type ContactWithType = Contact & {
    isMine: boolean
    isRecent: boolean
};


function createTestServer(delayMs: number, data: ContactWithType[]): ContactsApi {

    let counter = 50;

    return {
        findByKey: (id) =>
            new Promise((resolve, reject) => 
                setTimeout(() =>
                    resolve(data.filter(v => v.id == id)[0]), delayMs)),

        autoComplete: (q) =>
            new Promise(
                (resolve, reject) =>
                    setTimeout(() =>
                        resolve(runQuery(data, q, o => hasKeywords(o, q.input.text!))),
                        delayMs)),
        
      

        update: () => Promise.reject({}),

        delete: () => Promise.reject({})
    };
}

export default createTestServer;