﻿import { DataSpecs } from "../../index";

const hasKeywords = <T>(o: T, keywords: string) => {
    for (const key in o) {
        if ((o[key] || "").toString().indexOf(keywords || "") != -1) {
            return true;
        }
    }
    return false;
}

function compare(a: any, b: any): number {
    if (a > b) return 1;
    if (a < b) return -1;
    return 0;
}

const runQuery = <TData,TInput>(data:TData[], q: DataSpecs<TInput>, filter: (row: TData) => boolean) => {
    const offset = q.pageSize! * q.pageIndex;
    const results = data
        .filter(filter)
        .sort((a, b) => q.sortBy
            ? (q.sortByDescending ? -1 : 1) * compare((a as any)[q.sortBy], (b as any)[q.sortBy])
            : 0);

    const total = results.length;
    const matches = results.filter((_, idx) => idx >= offset && idx < (offset + q.pageSize!));
    return { matches, total };
}

export { hasKeywords, runQuery };