﻿
export interface Country {
    code: string
    title: string
}

export type StreetAddress = {
    country: string | Country
    city: string
    state: string
    lines: string[]
    postCode: string
};

export type Contact = {
    id: string
    title: string
    firstName: string
    lastName: string
    email: string
    mobileNo: string
    landLineNo: string
    worksAt: string
    position: string
    account: string | Account | null
    address: StreetAddress
    owner?: string
    department?: string
    phoneNo?: string
    additionalInformation?: string
}

export type Account = {
    id: string
    name: string
}

export type CrmDomain = {
    countries: Country
    accounts: Account
    contacts: Contact
}